krename (5.0.2-2fakesync1) noble; urgency=medium

  * fakesync due to mismatching asc file
    krename_5.0.2.orig.tar.xz.asc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 08:50:42 +0100

krename (5.0.2-2) unstable; urgency=medium

  * Backport upstream commit e7dd767a9a1068ee1fe1502c4d619b57d3b12add to build
    with exiv2 0.28.0+; patch
    upstream_Fix-build-with-exiv2-0.28-raise-minimum-to-0.27.patch
    - bump the libexiv2-dev build dependency to 0.27.0 accordingly
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 12:46:32 +0100

krename (5.0.2-1fakesync1) kinetic; urgency=medium

  * fakesync due to mismatching asc file
    krename_5.0.2.orig.tar.xz.asc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2022 19:11:04 +0200

krename (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Drop-i-from-desktop-file.patch: drop, backported from upstream
    - upstream_Add-parameters-to-appdata.xml.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Fri, 02 Sep 2022 09:30:24 +0200

krename (5.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 9e21688a83e5683ad77fca3be91afe351552287b to drop
    %i from desktop file, fixing the launch of krename from menus on Wayland;
    patch upstream_Drop-i-from-desktop-file.patch. (Closes: #1010744)
  * Backport upstream commit 9f9cbdef3254740d00bfe28abd8b5b579f52700b to add
    <launchable>, <content_rating>, and <releases> details in the AppStream XML
    file; patch upstream_Add-parameters-to-appdata.xml.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Aug 2022 09:59:10 +0200

krename (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the upstream GPG signing key.
  * Update the patches:
    - upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch:
      drop, backported from upstream
    - upstream_Fix-building-against-exiv2-0.27.patch: drop, backported
      from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7
    - explicitly add gettext
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Oct 2020 07:13:24 +0200

krename (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - remove --parallel for dh, as now done by default
  * Switch the transitional libfreetype6-dev build dependency to
    libfreetype-dev.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Backport upstream commits ec90823494f5ec9bb2e8098f44209f383ef8c22a, and
    b22de9135ba2a5abdbd2b275a60933a50f074010 to properly detect exiv2 >= 0.27,
    and build with it; patches
    upstream_Use-cmakedefine01-instead-of-macro_bool_to_01.patch, and
    upstream_Fix-building-against-exiv2-0.27.patch.
    - add a lintian override for the spelling error in the upstream commit
      message

 -- Pino Toscano <pino@debian.org>  Thu, 06 Feb 2020 08:43:18 +0100

krename (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #848000, #874982)
    - brings updated translations (Closes: #718521, #730736)
  * Upstream is now kde.org, so:
    - switch Homepage to https://userbase.kde.org/KRename
    - rewrite watch file to download.kde.org
  * Update the patches:
    - 02_remove_desktop_deprecated_key.diff: drop, fixed upstream
    - find_libpodofo.patch: drop, fixed upstream
    - fix-freetype-includes.patch: drop, fixed upstream
    - fix-flags.diff: dropm fixed upstream
    - cmake-policy.diff: drop, obsolete
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5completion-dev,
      libkf5config-dev, libkf5coreaddons-dev, libkf5crash-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
      libkf5kio-dev, libkf5kjs-dev,  libkf5service-dev,
      libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879361)
  * Enable the test suite, since it seems to be working fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Feb 2018 11:14:03 +0100

krename (4.0.9-4) unstable; urgency=medium

  * Team upload.
  * Fix Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Fix build with GCC 6; patch fix-flags.diff. (Closes: #811677)
  * Set the cmake minimum version required and policies; cmake-policy.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Jun 2016 09:11:54 +0200

krename (4.0.9-3) unstable; urgency=low

  * Team upload.
  * Bump to the debhelper 9 compatibility:
    - bump the debhelper build dependency to >= 9~
    - bump compat to 9
  * Fix Vcs-* headers.
  * Enable parallel build.
  * Link in as-needed mode.
  * Add the pkg-config build dependency.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Dec 2013 19:24:27 +0100

krename (4.0.9-2) unstable; urgency=low

  * Fix FTBFS caused by freetype includes (Closes: #719395)

 -- Fathi Boudra <fabo@debian.org>  Sat, 16 Nov 2013 12:57:14 +0200

krename (4.0.9-1) unstable; urgency=low

  * New upstream release:
    - fix segfauls on startup. (Closes: #653892)
    - fix crash with SIGSEGV in __libc_csu_init(). (LP: #849882, #903593)

 -- Fathi Boudra <fabo@debian.org>  Mon, 02 Jan 2012 11:29:13 +0200

krename (4.0.7-2) unstable; urgency=low

  * Add find_libpodofo.patch to build with podofo support. (LP: #889425)

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 13:14:09 +0200

krename (4.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 03 Mar 2011 10:54:03 +0200

krename (4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 11:11:12 +0200

krename (4.0.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patches:
    - 01_portugese_translations_contrib.diff - merged upstream
    - 03_skip_equal.diff - merged upstream
  * Update debian/control:
    - add libfreetype6-dev build dependency.
    - bump Standards-Version to 3.9.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 13:50:31 +0200

krename (4.0.4-2) unstable; urgency=low

  * Add 03_skip_equal.diff to skip renaming if source and target filenames are
    equal. Thanks to Bastian Kleineidam. (Closes: #577473)

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Jun 2010 21:36:15 +0300

krename (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add Portuguese translation. Thanks to Américo Monteiro. (Closes: #567566)
  * Update debian/control:
    - bump build dependencies (debhelper, pkg-kde-tools and kdelibs5-dev).
    - add libpodofo-dev build dependency.
    - bump Standards-Version to 3.8.4 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 27 Jun 2010 10:01:46 +0300

krename (4.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #563848)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 07 Jan 2010 09:09:58 -0600

krename (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 14 Nov 2009 06:54:05 -0600

krename (4.0.0-1) unstable; urgency=low

  * New upstream release - First stable release for KDE 4.

  [Fathi Boudra]
  * Update debian/control:
    - bump debhelper and pkg-kde-tools build dependency versions.
    - bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/copyright: update Richard's Debian packaging copyright.
  * Cleanup debian/rules: use dh enhancement for kde.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Wed, 23 Sep 2009 01:21:26 -0500

krename (3.9.3-1) unstable; urgency=low

  * New upstream release.

  [Richard A. Johnson]
  * Update debian/control:
    - remove quilt build dependency (not needed).
    - add build dependency on libexiv2-dev.
  * Remove debian/docs as it is no longer needed.

  [Fathi Boudra]
  * Cleanup debian/rules: use dh. Thanks to debhelper 7.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 01 Jun 2009 16:55:40 -0500

krename (3.9.2-2) unstable; urgency=low

  * Add pkg-kde-tools build dependency.

 -- Fathi Boudra <fabo@debian.org>  Wed, 15 Apr 2009 10:39:52 +0200

krename (3.9.2-1) unstable; urgency=low

  * New upstream release. (Closes: #347621, #515455)
  * Bump compat to 7.
  * Update debian/control:
    - Bump debhelper to 7.
    - Add taglib build dependency.
    - Drop cdbs build dependency.
    - Bump Standards-Version to 3.8.1. No changes needed.
  * Update debian/copyright informations.
    Add modeltest source code copyrights.
  * Remove krename manpage. Outdated. (Closes: #501928)
  * Rewrite debian/rules.
  * Update debian/watch.

 -- Fathi Boudra <fabo@debian.org>  Sun, 12 Apr 2009 21:35:43 +0200

krename (3.9.0-1) unstable; urgency=low

  * Initial KDE 4 release.
  * Bump compat and debhelper to 6.
  * Adjust build dependencies to new build system.
  * Add Homepage, Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 May 2008 12:12:22 +0200

krename (3.0.14-1) unstable; urgency=low

  * New Upstream Release (Closes: #402859, #423440)
  * Adopted Package - New Maintainer & Uploaders
  * debian/control:
    - Maintainer set to Debian KDE Extras Team
    - Richard A. Johnson set to uploaders
    - updated standards to version 3.7.2 - no changes necessary
    - updated build-dep debhelper >= 5 (changes to compat)
    - added libtool and automake1.10 to build-dep for Relibtoolization
    - added Krenames URL to description
  * debian/rules:
    - cleaned out commented lines
    - Relibtoolization at build time
  * Updated debian/copyright

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 17 May 2007 23:06:44 -0500

krename (3.0.9-2.1) unstable; urgency=low

  * NMU.
  * Remove build dependency on g++-3.4. Closes: #385835.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 13:41:32 +0000

krename (3.0.9-2) unstable; urgency=low

  * No more Build-Depend on xlibs-dev

 -- Roman Kreisel <roman.kreisel@web.de>  Wed, 30 Nov 2005 13:46:48 +0100

krename (3.0.9-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Fri, 28 Oct 2005 21:56:34 +0200

krename (3.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #329969)

 -- Roman Kreisel <roman.kreisel@web.de>  Sat, 24 Sep 2005 19:22:44 +0200

krename (3.0.7-4) unstable; urgency=low

  * Use GCC 3.4 on arm, m68k and hppa
  * updated manpage
  * Build-Dependency on xlibs-dev
  * moved from "utils - optional" to "kde - optional"

 -- Roman Kreisel <roman.kreisel@web.de>  Tue,  6 Sep 2005 01:30:57 +0200

krename (3.0.7-3) unstable; urgency=low

  * moved from dpatch to simple-patchsys of cdbs
  * Corrected a typo in copyright-file (wrong telephone-no. of fsf)
  * No more "0 errors occurred"-Message on successful operation. Fixed by
    upstream. (Closes: #309253)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 16:15:32 +0200

krename (3.0.7-2) unstable; urgency=low

  * Updated/corrected german translation (Closes: #313984)

 -- Roman Kreisel <roman.kreisel@web.de>  Fri,  2 Sep 2005 14:59:04 +0200

krename (3.0.7-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 29 Aug 2005 16:13:56 +0200

krename (3.0.6-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 18 Aug 2005 15:34:07 +0200

krename (3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Roman Kreisel <roman.kreisel@web.de>  Thu, 21 Apr 2005 18:00:14 +0200

krename (3.0.3-2) unstable; urgency=low

  * Initial Debian release (Closes: #286278, #279143)

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 14 Feb 2005 20:38:59 +0100

krename (3.0.3-1) unstable; urgency=low

  * New upstream release
  * Fixed Build-Depends

 -- Roman Kreisel <roman.kreisel@web.de>  Mon, 14 Feb 2005 20:27:10 +0100

krename (3.0.2-2) staging; urgency=low

  * Added debian/watch for easier updating

 -- Roman Kreisel <roman.kreisel@web.de>  Sat, 15 Jan 2005 18:46:03 +0100

krename (3.0.2-1) staging; urgency=low

  * Initial Release.

 -- Roman Kreisel <roman.kreisel@web.de>  Sun, 14 Nov 2004 23:23:38 +0100
